View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000701aMuleServerspublic2005-12-08 06:502005-12-19 09:55
Reportertestlinlin 
Assigned ToKry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.3 
Target VersionFixed in VersionSVN 
Summary0000701: amuled can not connect to servers
DescriptionI builded amuled following "Howto", and it made successfully.
I downloaded a server.met to .aMule. After setup it, it can be run ok. But in logfile (or look at the log in webbrowser), amuled connects to all servers (39 svrs) "timeout" or "connection lost".

Just like this:
...
2003-06-13 18:16:47: Connecting to
2003-06-13 18:17:11: Connection attempt to .S.E.D.G. (38.119.96.15:4661) timed out.
2003-06-13 18:17:11: Connecting to ProbenPrinz.de (193.111.198.138 - 193.111.198.138:4242)
2003-06-13 18:17:11: Connection attempt to ProbenPrinz.de (193.111.198.138:4242) timed out.
2003-06-13 18:17:11: Connecting to Razorback (195.245.244.243 - 195.245.244.243:4661)
2003-06-13 18:17:11: Connected to Razorback (195.245.244.243:4661)
2003-06-13 18:17:12: Lost connection to Razorback (195.245.244.243:4661)
2003-06-13 18:17:12: Connection lost
2003-06-13 18:17:12: Connecting to
2003-06-13 18:17:12: Connecting to
2003-06-13 18:17:12: Connection attempt to Emule Server No 2 100000 ... (207.44.206.27:4242) timed out.
2003-06-13 18:17:12: Connecting to sexallinone.com & fuckb... (66.111.43.80 - 66.111.43.80:4242)
2003-06-13 18:17:12: Connection attempt to sexallinone.com & fuckb... (66.111.43.80:4242) timed out.
2003-06-13 18:17:12: Connecting to Korea Donkey Server -- ww... (211.214.161.107 - 211.214.161.107:4661)
2003-06-13 18:17:36: Connection attempt to Razorback (195.245.244.243:4661) timed out.
2003-06-13 18:17:36: Connecting to ZOOZ (61.129.64.175 - 61.129.64.175:4661)
2003-06-13 18:17:36: Connection attempt to ZOOZ (61.129.64.175:4661) timed out.
2003-06-13 18:17:36: Connecting to ### LOTTO POWER ### (213.23.147.99 - 213.23.147.99:4243)
2003-06-13 18:17:37: Lost connection to ### LOTTO POWER ### (213.23.147.99:4243)
2003-06-13 18:17:37: Connection lost
...
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001568)
testlinlin (reporter)
2005-12-08 09:07

After some tests, I found it happened in LowID. In HighID, it can work good.
If it behind the firewall, it can't get a HightID, How can i do?

But, eMule can work in LowID.

Could you help me?
(0001572)
testlinlin (reporter)
2005-12-08 15:52

In my another computer, this case happened again. It should be able to get a HightID.
Why now? :(

I toke a look at the source code, can not find anything.
I think it maybe bring from the wxBase_2.6.2.
... ...
(0001575)
Kry (manager)
2005-12-08 19:41

Works for a lot of people. First case I hear of something alike, and just tested high and lowid and it works here.
(0001590)
testlinlin (reporter)
2005-12-09 03:40

thanks to kry~

I'll continue looking for the reason.
In amule-web-host, some alike case can be found. When amule-2.0.2-final released, someone said that it can be solved by using the CVS source. I did it today, but the case did not change.

In my another computer, amuled should be able to get a HighID. But, it did not connect servers successfully. this time, I found another case that it can get more and more servers just connecting failed.
(0001591)
Xaignar (manager)
2005-12-09 03:43

Does normal aMule work as expected?
(0001593)
testlinlin (reporter)
2005-12-09 04:14

to: Xaignar

I don't test the case that you said yet, I'll do it later. Because it does not run X11 in my another computer, amule must be compiled to daemon.

thank you.
(0001596)
Kry (manager)
2005-12-09 06:49

I made your note private to avoid putting your info to the whole worldf...
(0001597)
testlinlin (reporter)
2005-12-09 07:11
edited on: 2005-12-09 07:14

thx kry

during more tests, i found it's perhaps because of my firewall. it's not sure now. i must leave it a while, back to continue.

BTW: how can i see the private note? i forgot my words in the note. :)

edited on: 12-09-05 07:14
(0001625)
testlinlin (reporter)
2005-12-11 03:46

after more tests, it appears that:
In one computer, amuled can connect to Razorback 2.0 fast with LowID.
In another one, amuled is 'Lost' on, and which should can get a HightID.
(0001626)
testlinlin (reporter)
2005-12-11 05:40

now its status can be changed to 'connected', but 'lost' again.
like that:

2003-06-13 17:11:53: Connecting to
2003-06-13 17:12:17: Connecting to Razorback 2.0 (195.245.244.243 - 195.245.244.243:4661)
2003-06-13 17:12:17: Connected to Razorback 2.0 (195.245.244.243:4661)
2003-06-13 17:12:18: Lost connection to Razorback 2.0 (195.245.244.243:4661)
2003-06-13 17:12:18: Connection lost
2003-06-13 17:12:18: Connecting to
2003-06-13 17:12:18: Connecting to
2003-06-13 17:12:43: Connection attempt to Razorback 2.0 (195.245.244.243:4661) timed out.
2003-06-13 17:12:43: Connecting to Emule Server No 2 100000 ... (207.44.206.27 - 207.44.206.27:4242)
2003-06-13 17:12:44: Connecting to ProbenPrinz.de (193.111.198.139 - 193.111.198.139:4242)
2003-06-13 17:12:44: Lost connection to ProbenPrinz.de (193.111.198.139:4242)
2003-06-13 17:12:44: Connection lost
2003-06-13 17:12:44: Connecting to
2003-06-13 17:12:44: Connecting to
(0001672)
testlinlin (reporter)
2005-12-15 01:50

it seems that the amule-cvs-20051212 has no this problem. testing on...
(0001673)
Kry (manager)
2005-12-15 04:16

Waiting.
(0001697)
testlinlin (reporter)
2005-12-19 09:51

amuled has been tested in LowID and HightID.
the result is sure that amule-cvs-20051212 does not appear this problem.

thx!
(0001698)
Kry (manager)
2005-12-19 09:55

*poof* gone

- Issue History
Date Modified Username Field Change
2005-12-08 06:50 testlinlin New Issue
2005-12-08 09:07 testlinlin Note Added: 0001568
2005-12-08 15:52 testlinlin Note Added: 0001572
2005-12-08 19:41 Kry Note Added: 0001575
2005-12-09 03:40 testlinlin Note Added: 0001590
2005-12-09 03:43 Xaignar Note Added: 0001591
2005-12-09 04:14 testlinlin Note Added: 0001593
2005-12-09 05:36 testlinlin Note Added: 0001595
2005-12-09 05:45 testlinlin Note Deleted: 0001595
2005-12-09 06:49 Kry Note View State: 1593: private
2005-12-09 06:49 Kry Note Added: 0001596
2005-12-09 07:11 testlinlin Note Added: 0001597
2005-12-09 07:14 testlinlin Note Edited: 0001597
2005-12-10 02:42 Kry Note View State: 1593: public
2005-12-11 03:46 testlinlin Note Added: 0001625
2005-12-11 05:40 testlinlin Note Added: 0001626
2005-12-15 01:50 testlinlin Note Added: 0001672
2005-12-15 04:16 Kry Note Added: 0001673
2005-12-19 09:51 testlinlin Note Added: 0001697
2005-12-19 09:55 Kry Status new => assigned
2005-12-19 09:55 Kry Assigned To => Kry
2005-12-19 09:55 Kry Status assigned => resolved
2005-12-19 09:55 Kry Fixed in Version => CVS
2005-12-19 09:55 Kry Resolution open => fixed
2005-12-19 09:55 Kry Note Added: 0001698


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker